package com.ozs.kpim.util;

import java.util.HashMap;

/**
 * @author 王一夫
 * @version 1.0.0 创建于 2017/12/28
 **/
public final class S {

	/**
	 * 请求成功
	 */
	public static final String OK = "1";
	/**
	 * 请求失败
	 */
	public static final String ERROR = "-1";


	/* *
	 * @Author jade
	 * @Description 正在使用中，删除错误提示
	 * @Date 2019/2/20
	**/
	public static final String DELETE_IN_USE = "50001";

	/* *
	 * @Author jade
	 * @Description 正在使用中，修改错误提示
	 * @Date 2019/2/20
	 **/
	public static final String UPDATE_IN_USE = "50002";

	/* *
	 * @Author jade
	 * @Description 校验表达式规则
	 * @Date 2019/3/15
	 * @Param
	 * @return
	**/
	public static final String CHECK_EXPRESSION_FAIL = "50003";


	/**
	 * 文件数据错误
	 */
	public static final String FILE_DATA_ERROR = "report-001";

	/**
	 * 用户名、密码错误.
	 */
	public static final String USER_PASSWD_ENTNO_ERROR = "100200";

	/**
	 * token为空
	 */
	public static final String TOKEN_IS_NULL = "100404";
	/**
	 * token令牌过期
	 */
	public static final String TOKEN_TIME_OUT = "100405";



	@SuppressWarnings("serial")
	private static final HashMap<String, String> codeMsg = new HashMap<String, String>() {
		{
			put(OK, "请求成功.");
			put(ERROR, "请求失败.");
			put(DELETE_IN_USE, "正在使用中,不允许删除");
			put(UPDATE_IN_USE, "正在使用中,不允许修改");
			put(CHECK_EXPRESSION_FAIL,"规则校验失败");

			put(USER_PASSWD_ENTNO_ERROR, "用户名、密码错误");

			put(FILE_DATA_ERROR, "文件数据错误");
			put(TOKEN_IS_NULL, "token is null");
			put(TOKEN_TIME_OUT, "token令牌过期");
		}
	};

	/**
	 * 根据状态码获取提示信息.
	 *
	 * @param code
	 *            状态吗
	 * @return 返回状态码对应的提示信息
	 */
	public static String getMsg(String code) {
		return codeMsg.get(code);
	}

}
